Pinterest

List Pinterest Boards

Lists the Pinterest boards the account can publish pins to.

GET
/v1/accounts/{id}/boards

Authorization

Bearer
headerAuthorizationBearer <op_>

Workspace API key, sent as Authorization: Bearer op_... Keys are created in the dashboard.

Path Parameters

id*string
Length1 <= length

Response Body

Boards

application/json
  1. response
data*array<>
Example Request
import { Configuration, AccountsApi } from "@onepostly/sdk";const accountsApi = new AccountsApi(  new Configuration({ accessToken: process.env.ONEPOSTLY_API_KEY }));const response = await accountsApi.listAccountBoards({  id: "acc_YOUR_PINTEREST_ACCOUNT_ID",});console.log(response);
Example Response
{  "data": [    {      "id": "1035968376946032411",      "name": "Recipes",      "isDefault": true    },    {      "id": "1035968376946032398",      "name": "Kitchen Ideas",      "isDefault": false    },    {      "id": "1035968376946032405",      "name": "Meal Prep",      "isDefault": false    }  ]}